<?php
/**
* @version $Id: cb.myjspacefield.php $ 
* @version		1.0b8 for CB (1.2.3, 1.3.x, 1.4, 1.7, 1.8, 1.9) with BS MyJspace 2.0.0+ 12/11/2012
* @plugin		plug_myjspace_field
* @author       Bernard Saulm
* @copyright	Copyright (C) 2011-2012 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

/** Ensure this file is being included by a parent file */
if (!( defined('_VALID_CB') || defined('_JEXEC') || defined('_VALID_MOS'))) { die( 'Direct Access to this location is not allowed.' ); }
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

global $_PLUGINS;
$_PLUGINS->loadPluginGroup('user', array((int)1));
$_PLUGINS->registerUserFieldTypes(array('myjspacefield' => 'CBfield_myjspace'));
$_PLUGINS->registerUserFieldParams();

class CBfield_myjspace extends cbFieldHandler {
	/**
	 * Returns a field in specified format
	 *
	 * @param  moscomprofilerFields  $field
	 * @param  moscomprofilerUser    $user
	 * @param  string                $output  'html', 'xml', 'json', 'php', 'csvheader', 'csv', 'rss', 'fieldslist', 'htmledit'
	 * @param  string                $reason  'profile' for user profile view, 'edit' for profile edit, 'register' for registration, 'list' for user-lists
	 * @param  int                   $list_compare_types   IF reason == 'search' : 0 : simple 'is' search, 1 : advanced search with modes, 2 : simple 'any' search
	 * @return mixed                
	 */
	function getField(&$field, &$user, $output, $reason, $list_compare_types) {
	
		// Component installed ?
		if (!file_exists(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php'))
			return 'Component BS com_myjspace is not installed';

		require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';			

		$plg_label_pages = $this->params->get('plg_label_pages', 'Pages');
		$pparams = JComponentHelper::getParams('com_myjspace');
		list($list_page_tab, $url) = BSHelperUser::GetUserUrl($user->id, $pparams->get('link_folder_print', 1));
		$nb_page = count($list_page_tab);
		$return = '';

		if ($nb_page > 1)
			$return = '<a href="'.$url.'">'.$plg_label_pages.'</a>';
		else if ($nb_page == 1)
			$return = '<a href="'.$url.'">'.$list_page_tab[0]['pagename'].'</a>';
			
		return $return;

	}
} // End of CBfield_myjspace class
?>
